QT -= gui

TEMPLATE = lib
DEFINES += STUDENTSERIALIZATION_LIBRARY

CONFIG += c++14

# The following define makes your compiler emit warnings if you use
# any Qt feature that has been marked deprecated (the exact warnings
# depend on your compiler). Please consult the documentation of the
# deprecated API in order to know how to port your code away from it.
DEFINES += QT_DEPRECATED_WARNINGS

# You can also make your code fail to compile if it uses deprecated APIs.
# In order to do so, uncomment the following line.
# You can also select to disable deprecated APIs only up to a certain version of Qt.
#DEFINES += QT_DISABLE_DEPRECATED_BEFORE=0x060000    # disables all the APIs deprecated before Qt 6.0.0

SOURCES += \
    src/binaryserializer.cpp \
    src/courseitem.cpp \
    src/jsonserializer.cpp \
    src/student.cpp \
    src/studentserialization.cpp \
    src/xmlserializer.cpp

HEADERS += \
    StudentSerialization_global.h \
    includes/binaryserializer.h \
    includes/courseitem.h \
    includes/iattributable.h \
    includes/jsonserializer.h \
    includes/serializable.h \
    includes/serializer.h \
    includes/student.h \
    includes/studentserialization.h \
    includes/xmlserializer.h

# Default rules for deployment.
unix {
    target.path = /usr/lib
}
!isEmpty(target.path): INSTALLS += target
